Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.providers.authorization
Class AugmentedContext

    java.lang.Object
      |
      +--weblogic.security.providers.authorization.AugmentedContext

Deprecated. in 8.1SP3 Never used.

public class AugmentedContext
extends java.lang.Object
implements weblogic.entitlement.expression.Context

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`AugmentedContext(weblogic.entitlement.expression.Context context, java.lang.String augName, java.lang.Object augValue)` Deprecated.

Method Summary
`java.util.Iterator` | `contextNames()` Deprecated.
`java.lang.Object` | `getValue(java.lang.String name)` Deprecated.
`int` | `size()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AugmentedContext

    public AugmentedContext(weblogic.entitlement.expression.Context context,
                            java.lang.String augName,
                            java.lang.Object augValue)

  Deprecated.

Method Detail

### getValue

    public java.lang.Object getValue(java.lang.String name)

  Deprecated.
  Specified by:
    getValue in interface weblogic.entitlement.expression.Context

### contextNames

    public java.util.Iterator contextNames()

  Deprecated.
  Specified by:
    contextNames in interface weblogic.entitlement.expression.Context

### size

    public int size()

  Deprecated.
  Specified by:
    size in interface weblogic.entitlement.expression.Context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD